Bug 166563 - 'yum erase' logs month using locales
Summary: 'yum erase' logs month using locales
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-23 12:07 UTC by Radek Bíba
Modified: 2014-01-21 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 17:37:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Radek Bíba 2005-08-23 12:07:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
yum logs its operations to /var/log/yum.log in format

MMM DD HH:MM:SS action: package [version]

using English names for months for updates and installations but locale settings
for removals. This may confuse some log analyzers such as logwatch.

Version-Release number of selected component (if applicable):
yum-2.3.2-7

How reproducible:
Always

Steps to Reproduce:
1. Select a package to remove and a language (pick up some that you won't miss
   for a while, during the testing). E.g. rsh
2. LC_ALL=ru_RU.utf8 yum remove rsh
3. tail -1 /var/log/yum.log

-- to return the package _and also_ verify that installation uses English:
4. LC_ALL=ru_RU.utf8 yum install rsh
5. tail -1 /var/log/yum.log

Actual Results:  Month name is logged in the language specified system-wide or using LC_... after
a package removal.

Expected Results:  All yum operations should use either locale settings or English for logging.

Additional info:

yum-2.2.2-0 from FC3 is affected, too.

Comment 1 Jeremy Katz 2005-09-21 19:35:56 UTC
I'm not seeing this here -- does it still occur for you with yum 2.4.0?

Comment 2 Radek Bíba 2005-09-22 06:33:30 UTC
Cool, version 2.4.0 indeed fixes this bug. However, FC3 still contains
yum-2.2.2-0 which is affected. Changing the Version field to fc3.

Comment 3 Jeremy Katz 2005-09-22 17:37:07 UTC
Okay, we're not really planning on pushing a newer version back to fc3 at this
point.


Note You need to log in before you can comment on or make changes to this bug.